---
title: PaintWorklet.devicePixelRatio
slug: Web/API/PaintWorklet/PaintWorklet.devicePixelRatio
tags:
  - API
  - CSS
  - CSS Paint API
  - Houdini
  - Painting
  - Property
  - Reference
  - Worklet
  - devicePixelRatio
  - paintWorklet
---
<div>{{draft}}{{APIRef("CSS Painting API")}}</div>

<p class="summary">The <strong><code>PaintWorklet.devicePixelRatio</code></strong> read-only property of the {{domxref("PaintWorklet")}} interface returns the current device's ratio of physical pixels to logical pixels.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var devicePixelRatio = paintWorklet.devicePixelRatio;</pre>

<h3 id="Value">Value</h3>

<p>A double-precision integer.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('CSS Painting API','#dom-paintworkletglobalscope-devicepixelratio','PaintWorklet.devicePixelRatio')}}</td>
   <td>{{Spec2('CSS Painting API')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.PaintWorklet.PaintWorklet.devicePixelRatio")}}</p>

<h2 id="See_Also">See Also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/CSS_Painting_API">CSS Painting API</a></li>
 <li><a href="/en-US/docs/Web/Houdini">Houdini APIs</a></li>
 <li><a href="/en-US/docs/Web/Houdini/learn">Houdini overview</a></li>
</ul>
